
package GiciEntropyCoder.Interface;

import java.io.IOException;


/**
 * This is the interface for classes that implement offline decoding functionality. Offline in this case means that all
 * the encoded data is available before the decoding process begins.
 */
public interface Decoder {

	/**
	 * Decodes <code>data.length</code> samples.
	 *
	 * @param data An array where decoded samples will be placed.
	 *
	 * @throws IOException if an IO error prevents the process from completing.
	 */
	void decode(int[] data) throws IOException;

}
